ONVIF::Analytics::Types::PTZNodeExtension(3)

NAME
ONVIF::Analytics::Types::PTZNodeExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZNodeExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SupportedPresetTour

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::PTZNodeExtension
   SupportedPresetTour =>  { # ONVIF::Analytics::Types::PTZPresetTourSupported
     MaximumNumberOfPresetTours =>  $some_value, # int
     PTZPresetTourOperation => $some_value, # PTZPresetTourOperation
     Extension =>  { # ONVIF::Analytics::Types::PTZPresetTourSupportedExtension
     },
   },
   Extension =>  { # ONVIF::Analytics::Types::PTZNodeExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL